# Align image stack

From PanoTools.org Wiki

align_image_stack is a command-line tool to align overlapping images to facilitate HDR creation, Exposure blending[*], extended Depth of Field, and Stereoscopic[*] images.

## Usage

    align_image_stack [options] input_files

### Options: modes of operation

    -p file

Output .pto file. (Useful for debugging, or further refinement.)

    -a prefix

Align images, output as prefix_xxxx.tif.

    -o output

Merge images to HDR, generate output.hdr.

### Options: modifiers

    -v

Verbose, print progress messages.

    -e

Assume input images are full frame fish eye (default: rectilinear).

    -t num

Remove all control points with an error higher than num pixels (default: 3).

    --corr=num

Correlation threshold for identifying control points (default: 0.9).

    -f HFOV

Approximate horizontal field of view[*] of input images. Use if EXIF info not complete.

    -m

Optimize field of view for all images, except for first. Useful for aligning focus stacks with slightly different magnification.

    -d

Optimize radial distortion for all images, except for first.

    -i

Optimize image center shift for all images, except for first.

    -x

Optimize X coordinate of the camera position.

    -y

Optimize Y coordinate of the camera position.

    -z

Optimize Z coordinate of the camera position. Useful for aligning more distorted images.

    -S

Assume stereo images - allow horizontal shift of control points. Adds all control points as "horizontal lines".

    -A

Align stereo window - assumes -S. Adds one "normal" control point that is the nearest point, so that everything will appear behind the display plane.

    -P

Align stereo window with pop-out effect - assumes -S. Adds one "normal" control point that is the nearest point from the border areas, so that the center of the image may appear in front of the display plane.

    -C

Auto crop the image to the area covered by all images.

    -c num

Number of control points (per grid, see option -g) to create between adjacent images (default: 8).

    -l

Assume linear input files.

    -s scale

Scale down image by 2scale (default: 1 [2x downsampling]). Scaling down images will improve speed at the cost of accuracy.

    -g gsize

Break image into a rectangular grid (gsize x gsize) and attempt to find num control points in each section (default: 5 [5x5 grid] )

    --distortion

Try to load distortion information from lens database.

    --use-given-order

Use the image order as given from command line. (By default images will be sorted by exposure values as found in EXIF data.)

    --gpu

Use GPU for remapping.

    -h

Display help.

This article is incomplete. You can help Panotools Wiki by expanding it.

Once the article is ok feel free to remove the {{Incomplete}} template

Retrieved from "https://wiki.panotools.org/index.php?title=Align_image_stack&oldid=15916"